LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
Scenario Service Reference

represents a scenario in a spreadsheet document. More...

`import"Scenario.idl";`

Inheritance diagram for Scenario:

## Exported Interfaces
interface | com::sun::star::sheet::XScenario
interface | com::sun::star::sheet::XScenarioEnhanced
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::container::XNamed

## Public Attributes
boolean | IsActive
| specifies if the scenario is active. More...
long | BorderColor
| specifies the color of the border of the scenario. More...
boolean | Protected
| specifies if the scenario is protected. More...
boolean | ShowBorder
| specifies if the scenario shows a border. More...
boolean | PrintBorder
| specifies if the scenario prints a border. More...
boolean | CopyBack
| specifies if the data should be copied back into the scenario. More...
boolean | CopyStyles
| specifies if the styles are copied. More...
boolean | CopyFormulas
| specifies if the formulas are copied or only the results. More...

## Additional Inherited Members
Public Member Functions inherited from XScenario
boolean | getIsScenario ()
| returns `TRUE` if the current object is a scenario. More...
string | getScenarioComment ()
| returns the comment for the scenario. More...
void | setScenarioComment ([in] string aScenarioComment)
| sets a new comment for the scenario. More...
void | addRanges ([in] sequence< com::sun::star::table::CellRangeAddress > aRanges)
| adds more ranges to the scenario. More...
void | apply ()
| applies the scenario. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Protected Member Functions inherited from XScenarioEnhanced
sequence< com::sun::star::table::CellRangeAddress > | getRanges ()
| gets the ranges to the scenario. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...

## Detailed Description

represents a scenario in a spreadsheet document.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

## ◆ com::sun::star::sheet::XScenario

interface com::sun::star::sheet::XScenario

## ◆ com::sun::star::sheet::XScenarioEnhanced

interface com::sun::star::sheet::XScenarioEnhanced
| optional

## Member Data Documentation

## ◆ BorderColor

long BorderColor
| optional property

specifies the color of the border of the scenario.

## ◆ CopyBack

boolean CopyBack
| optional property

specifies if the data should be copied back into the scenario.

## ◆ CopyFormulas

boolean CopyFormulas
| optional property

specifies if the formulas are copied or only the results.

## ◆ CopyStyles

boolean CopyStyles
| optional property

specifies if the styles are copied.

## ◆ IsActive

boolean IsActive
| optional property

specifies if the scenario is active.

## ◆ PrintBorder

boolean PrintBorder
| optional property

specifies if the scenario prints a border.

## ◆ Protected

boolean Protected
| optional property

specifies if the scenario is protected.

## ◆ ShowBorder

boolean ShowBorder
| optional property

specifies if the scenario shows a border.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/Scenario.idl